org.eclipse.jdt.core.refactoring.participants

## Interface IRefactoringProcessorIds

    public interface IRefactoringProcessorIds

Interface to define the processor IDs provided by JDT refactorings.

This interface declares static final fields only; it is not intended to be implemented.

Since:
  1.4
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `CHANGE_METHOD_SIGNATURE_PROCESSOR` Processor ID of the Change Method Signature processor (value `"org.eclipse.jdt.ui.changeMethodSignatureRefactoring"`).
`static String` `INTRODUCE_PARAMETER_OBJECT_PROCESSOR` Processor ID of the Introduce Parameter Object processor (value `"org.eclipse.jdt.ui.introduceParameterObjectRefactoring"`).

### Field Detail

#### CHANGE_METHOD_SIGNATURE_PROCESSOR

    static final String CHANGE_METHOD_SIGNATURE_PROCESSOR

Processor ID of the Change Method Signature processor (value `"org.eclipse.jdt.ui.changeMethodSignatureRefactoring"`). The Change Method Signature processor loads `ChangeMethodSignatureParticipant`s registered for the `IMethod` whose signature is changed.

See Also:
  Constant Field Values

#### INTRODUCE_PARAMETER_OBJECT_PROCESSOR

    static final String INTRODUCE_PARAMETER_OBJECT_PROCESSOR

Processor ID of the Introduce Parameter Object processor (value `"org.eclipse.jdt.ui.introduceParameterObjectRefactoring"`). The Introduce Parameter Object processor loads `ChangeMethodSignatureParticipant`s registered for the `IMethod` whose signature is changed.

See Also:
  Constant Field Values